@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wdth,wght@0,75..100,100..900;1,75..100,100..900&display=swap');

* {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}


body {
    margin:0;
    padding:0;
    font-family: 'Roboto', sans-serif;
    line-height: 1.8em;
    font-weight: 400;
    /*background-color: #ffF5EE;*/
    background-color: #edf8f1;
    /*color:#5d4637;*/
    color:#000000;
}

body a {
    color: #048943;
    text-decoration: none;
}

.row {
    padding-top: 1rem;
}


.toubuqu {
    width: 100%;
    /*box-shadow: 5px 7px 12px rgba(56, 128, 26, 0.59);*/
    -webkit-transition: -webkit-transform 0.8s ease;
    -webkit-transition: transform 0.8s ease;
    transition: transform 0.8s ease;
    /*background-color: #f0dec1;*/
    top: 0;
    position: sticky;
    z-index: 999;
    /*border-bottom: 1px solid #e6ddd6;*/
    /*background-color: #048943;*/
}

.daohangqu {
    margin-left: auto;
    margin-right: auto;
    padding-top: 1rem;
    /*max-width: 550px;*/
    width: calc(100vw - 40px);
    height: 100%;
    /*background-color: #f7efe0;*/
    /*color:white;*/


    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    /*padding: 0 20px;*/
    margin: 0 auto;
    padding-left: 0px;
    white-space: nowrap;
    
}

.nav-logo {
    height: 70px;
	padding-bottom: 1rem;
}

.nav-tagline {
    margin-bottom: 0rem;

}

.nav-tagline p {
    margin-bottom: 1rem;
    color: #048943;
    font-size:1rem;
    font-weight:300;
}

.mr-pc-catehide {
    height: 100%;
}

.pc-cate-nav-da {
    width:100%;
    border-bottom: 1px solid #e4e1da;
    border-top: 1px solid #e4e1da;

}
.pc-cate-nav {
    /*min-height: 100px;*/
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    list-style: none;
    max-width: 100%;
    width: calc(100vw - 90px);
    margin: 0  auto;

}

.pc-cate-nav ul{
    display:flex;
    flex-direction: row;
    justify-content: center;
    list-style: none;
    width:100%;
    flex-wrap:wrap;
    padding-left:0;
    margin-bottom: 0;
}

.pc-cate-nav li {
    display:flex;
    padding:8px 15px;
    font-weight: 200;
}

.pc-cate-nav a {
    text-decoration: none;
    color:#000000;
}

a:not([href]):not([class]), a:not([href]):not([class]):hover {
    color: #000000;
}

.pc-cate-nav a:hover {
    color:#ec8363;
    font-weight:400;
}

.dropdown-item {
	text-align: center;
}

.nav-link.show {
    color: #048943!important;
}

.dropdown-menu {
	--bs-dropdown-link-hover-color: #048943!important;
}

.zhuneirong {
    margin-left: auto;
    margin-right: auto;
    max-width: 550px;
    width: calc(100vw - 30px);
}

.container {

    margin: 0 auto;
    max-width: 768px;
    width: calc(100vw - 40px);

}

.list-area {
    margin: 0 auto;
    width: calc(100vw - 40px);
    max-width: 900px;
}



.rank-math-breadcrumb a{
    text-decoration: none;
    color:#048943;
}

.col-lg-12 {
    padding-right:0;
    padding-left: 0;
}

.yuliuqu {
    width: 100%;
    height: 60px;
    border-bottom: 1px solid #e6ddd6;
    border-top: 1px solid #e6ddd6;
    margin-top: .5rem;
    margin-bottom: 1rem;
}

.col-lg-12 h1 {
    padding-bottom: 0rem;
}

.single-content h2 {
    /*font-size: 1.5rem;*/
    padding-top: 1.5rem;
}

.wp-block-uagb-blockquote {
    padding: 10px 10px 20px 10px;
}

.widget {
    list-style: none;
}

.widget a{
    text-decoration: none;
    color:#048943;
}


.listsection {
    display: flex;
    flex-direction: column;
    /*flex-wrap: wrap;*/
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x));
}

.bloglist {
    display: flex;
    flex-direction: column;
    /*gap: 60px;*/
}

.bloglist-article {
    display: flex;
    padding-bottom: 3rem;
    padding-top: 3rem;
    border-bottom: 1px solid #e4e1da;
}

.bloglist-article img {
    width: 160px;
    object-fit: cover;
    height: 100px;
    border-radius:8px;
}


.bloglist-article2 {
    display: flex;
    padding-bottom: 1.5rem;
    padding-top: 1.5rem;
    /*border-bottom: 1px solid #e4e1da;*/
}

.bloglist-article2 img {
    width: 160px;
    object-fit: cover;
    height: 100px;
    border-radius:8px;
}

.bloglist-article-img {
    display: flex;
    /*align-items: center;*/
    /*padding-top: 8px;*/
    justify-content: center;
}

.bloglist-title {
    font-size:20px;
    font-weight: 500;
    color: #000000;
    text-decoration: none;
}

.bloglist-title:hover {
    color:#048943;
}

.bloglist-article-brief {
    padding:0 10px 0 15px;
}

.bloglist-article-brief h2 {
    /* line-height: 1;*/
    display: flex;
}

.bloglist-article-excerp {
    line-height: 1.5;
}

.catedisplay {
    padding: 2rem 0;
    display: flex;
    flex-direction: column;
	gap: 2rem;
}

.catetitle {
    display: flex;
    justify-content: center;
    align-items: center;
}

.catetitle h1 {
    margin-bottom: 0rem;
}

.catebrief {
    display: flex;
    justify-content: center;
    /*align-items: center;*/
	flex-direction: column;
}

.catebrief p {
    /*margin-bottom:0rem;*/
}


.footer-area {
    /*background-color:#A6CDB6;*/
    width: 100%;
    min-height: 100px;
}

.footer-list {
    Margin-top: 3rem;
    padding-top: 2rem;
    /* width: calc(100vw - 40px); */
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

.footer-logo {
    height: 50px;
}

.footer-pagelist {
    width: 100%;
    border-bottom: 1px solid #e4e1da;
    border-top: 1px solid #e4e1da;
}

.footer-page {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    list-style: none;
    max-width: 100%;
    width: calc(100vw - 90px);
    margin: 0 auto;
    flex-wrap:wrap;
    padding-left: 0rem;
}

.footer-page a {
    text-decoration: none;
    color: #000000;
}

.footer-page li {
    display: flex;
    padding: 8px 15px;
    font-weight: 300;
}

.pagetitle {
    padding-top: 2rem;
    padding-bottom: 2rem;
    padding-left: calc(var(--bs-gutter-x)* .5);
}

.rank-math-padding {
	padding-left: 0;
}

.post-info {
	height: auto;
    display:flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    white-space: nowrap;
	flex-wrap: wrap;
	gap: 1rem;
	font-size: 0.8rem;
	color:#718096;
}

.post-featured-image {
    text-align: center;
    margin: 0 0 2rem 0;
}

.post-featured-image img {
    max-width: 80%;
    height: auto;
    display: inline-block;
	max-height: 300px;
}

.titleAD {
	max-width: 100%;
	height: auto;
    display: inline-block;
}

/*================================================================*/
/*================================================================*/

.nav-link {
    color: #000000;
    font-weight: 200;
	text-align: center;
}

.nav-link:hover {
    font-weight: 400;
	color:#048943;
}

    /* 当鼠标悬停在 dropdown 上时，显示下拉菜单 */
    .dropdown:hover .dropdown-menu {
      display: block;
      margin-top: 0; /* 去掉点击弹出时的偏移 */
    }

    /* 可选：让动画更平滑 */
    .dropdown-menu {
      transition: all 0.5s ease-in-out;
    }

.wp-block-quote {
	border-left: 3px solid #048943;
    font-style: italic;
    padding: 10px 20px;
    font-size: 1.5rem;
	margin-top: 3rem;
}

/* Grid Layout */
.prompt-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    justify-items: center;
}

/* Card Style */
.prompt-card {
    width: 220px;
    min-height: 180px;
    border: 2px solid #b7e4c7; /* light green */
    border-radius: 10px;
    padding: 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #ffffff;
    transition: transform 0.2s ease;
}

.prompt-card:hover {
   /* transform: translateY(-5px);*/
}

/* Category */
.prompt-category {
    text-align: left;
    font-weight: bold;
    margin-bottom: 5px;
}

.prompt-category a {
    text-decoration: none;
    color: #b7e4c7;
}

.prompt-category a:hover {
    text-decoration: none;
    color: #2d6a4f;
}

/* Title */
.prompt-title {
    flex-grow: 1;
    font-size: 14px;
    line-height: 1.4;
    margin-bottom: 15px;
    text-align: left;
}

/* Button */
.view-btn {
    background-color: #95d5b2 !important;
    border: none !important;
    color: #000 !important;
    width: 100%;
}

.view-btn:hover {
    background-color: #2d6a4f !important;
    color: #fff !important;
}

/* Pagination */
.pagination-wrapper {
    text-align: center;
    margin-top: 30px;
}

pre {
    background: #b7e4c7;
    /* border: 2px solid #198754; */
    border-radius: 10px;
    padding: 15px;
}
@media (min-width: 576px) {
    .navbar-expand-sm .navbar-nav

 {
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (max-width: 650px) {
    .bloglist-article img {
        width: 100px;
        height: 75px;
    }
	
	.bloglist-article2 img {
        width: 100px;
        height: 75px;
    }
	
	.bloglist-article-excerp {
		display:none;
	}
	
	.bloglist-title {
		font-size: 18px;
	}
	
	.nav-logo {
    height: 50px;
	}
	
	.daohangqu {
		padding-top: 0.5rem;
	}
	
	.nav-tagline p {
		margin-bottom: 0.5rem;
	}
	
	.d-flex {
		padding-left: 0rem;
	}
}

@media (min-width: 768px) {
    .navbar-expand-md .navbar-nav{
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (max-width: 768px) {
    .prompt-grid {
        grid-template-columns: repeat(2, 1fr);
    }
	.prompt-card {
		width: 160px;
	}
}


@media (min-width: 1200px) {
    .h3, h3 {
        font-size: 1.5rem;
    }
}

.navbar {
    /*border-bottom: 1px solid #e4e1da;*/
    /*border-top: 1px solid #e4e1da;*/
    padding-top:0.5rem;
    padding-bottom:0.5rem;
}

.pagination {
    gap: 1rem;
    padding-top:1rem;
}

.wp-block-separator {
    border-top: 1px solid;
	display:none;
}

.footer-p {
	max-width: 768px;
	padding: 0 1rem 0 1rem;
}

/*================================================================*/
/*================================================================*/


@media (min-width: 900px) {


    .zhuneirong {
        max-width: 1100px;
        width: calc(100vw - 90px);
    }
}



.quote-wrapper {
    width: 100%;
    margin: 40px auto;
    padding: 0 20px;
    /*background: #f4f4f4;*/
    border-left: 3px solid #048943;
    font-style: italic;
}

.dailyquote-wrapper {
    width: 100%;
    /*margin: 40px auto;*/
	margin-bottom: 20px;
    padding: 0 20px;
    /*background: #f4f4f4;*/
    border-left: 5px solid #048943;
    font-style: italic;
}

.dailyquote-h2 {
	font-size: 1.5rem;
}

.dailyquote-text {
    font-size: 1.2rem;
    line-height: 1.4;
    color: #222;
    margin-bottom: 10px;
    font-weight: 600;
}

.quote-text {
    font-size: 1.5rem;
    line-height: 1.4;
    color: #222;
    margin-bottom: 10px;
    font-weight: 600;
}

.quote-author {
    text-align: right;
    font-size: 1rem;
    font-style: normal;
    color: #666;
	margin-bottom: 0;
}

.col-margin {
	margin-top:2rem;
}

.wp-block-latest-posts__list {
	padding-left: 1rem;
}

.wp-block-latest-posts.wp-block-latest-posts__list {
    list-style: initial;
}

.kbw-quote-author-list {
	padding-left: 1rem;
}

.kbw-quote-topic-list {
	padding-left: 1rem;
}

.yhyg {
	width: 100%;
	display:flex;
	flex-direction: column;
	padding-bottom: 3rem;
}

.list-header2 {
    margin-bottom: 20px;
    border-bottom: solid 1px #dbdada;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
	align-items: center;
}

.list-header-h2 {
    font-size: 1rem;
    font-weight: 700;
    color: #048943;
    text-transform: uppercase;
	margin-bottom:0;
}

.search-result {
	padding-top:2rem;
}

.heateor_sss_sharing_container {
	margin-top:1.5rem;
	margin-bottom: 1.5rem;
}

.code-block {
	justify-self: center;
}

.d-flex {
	padding-left: 2rem;
}